function cmpd_nums = create_cmpd_matrix(global_ids, cmpd_info)

num_mols = length(global_ids);

for i = 1:num_mols
    
    cmpd_nums.value(i,1:2) = cmpd_info.orig_cmpd_vals(global_ids(i),1:2);
    cmpd_nums.name(i) = cmpd_info.cmpd_name(global_ids(i));
end
    
    


